<?php


namespace IPS\stickynotes\modules\admin\stickynotes;

/* To prevent PHP errors (extending class does not exist) revealing path */
if( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * globalnotes
 */
class _globalnotes extends \IPS\Node\Controller
{
	public static $csrfProtected = TRUE;

	/**
     * Node Class
     */
    protected $nodeClass = '\IPS\stickynotes\GlobalNote';
	
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{
		parent::execute();
	}
	
	protected function refresh()
	{
		\IPS\Session::i()->csrfCheck();

		\IPS\Db::i()->delete( 'stickynotes_dismissed', array( 'note_id=?', \intval( \IPS\Request::i()->id ) ) );

		\IPS\Output::i()->redirect( \IPS\Http\Url::internal( 'app=stickynotes&module=stickynotes&controller=globalnotes' ), 'Done' );	
	}

}